Organization $organization-create

post/Organization/$organization-create
Page View

This resource defines a group of individuals or clinicians that form an organization of some kind. An organization record may consist of multiple organizations, like an umbrella healthcare organization with multiple physical locations.

You can review, retrieve, create, update, or delete organization records. The create and update options are available for organizations within the Carequality Interoperability Network as well.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

$organization-create

Create a new organization, including its location and order for its services, in your connection’s system.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Organization/$organization-create' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/fhir+json' \
5
--data '{
6
"resourceType": "Bundle",
7
"id": "RedoxOrganizationCreateBundleExample",
8
"type": "message",
9
"entry": [
10
{
11
"resource": {
12
"eventUri": "https://fhir.redoxengine.com/EventDefinition/OrganizationCreate",
13
"resourceType": "MessageHeader",
14
"id": "f4070865-2ac1-517c-a76e-839b02b6ad43",
15
"source": {
16
"name": "Good Health Clinics",
17
"endpoint": "urn:uuid:05107c08-fe2f-4740-8c1d-c7107d18ebe5"
18
},
19
"focus": [
20
{
21
"reference": "urn:uuid:2756cd03-02d2-522a-89f9-54276691896f"
22
}
23
]
24
},
25
"fullUrl": "urn:uuid:f4070865-2ac1-517c-a76e-839b02b6ad43"
26
},
27
{
28
"fullUrl": "urn:uuid:2756cd03-02d2-522a-89f9-54276691896f",
29
"resource": {
30
"resourceType": "Organization",
31
"id": "2756cd03-02d2-522a-89f9-54276691896f",
32
"identifier": [
33
{
34
"system": "http://hl7.org/fhir/sid/us-npi",
35
"value": "1234567893"
36
}
37
],
38
"active": true,
39
"type": [
40
{
41
"coding": [
42
{
43
"code": "prov",
44
"system": "http://terminology.hl7.org/CodeSystem/organization-type",
45
"display": "Healthcare Provider"
46
}
47
]
48
},
49
{
50
"coding": [
51
{
52
"code": "225100000X",
53
"system": "http://nucc.org/provider-taxonomy",
54
"display": "Physical Therapist"
55
}
56
]
57
}
58
],
59
"name": "Redox Example Clinic",
60
"telecom": [
61
{
62
"system": "phone",
63
"value": "608-555-1234",
64
"use": "work"
65
},
66
{
67
"system": "fax",
68
"value": "608-555-1235",
69
"use": "work"
70
}
71
],
72
"contact": [
73
{
74
"purpose": {
75
"coding": [
76
{
77
"code": "ADMIN",
78
"system": "http://terminology.hl7.org/CodeSystem/contactentity-type",
79
"display": "Administrative"
80
}
81
]
82
},
83
"name": {
84
"given": [
85
"Sarah"
86
],
87
"family": "Williams"
88
},
89
"telecom": [
90
{
91
"system": "email",
92
"value": "sarah.williams@example.com"
93
},
94
{
95
"system": "phone",
96
"value": "608-555-9876",
97
"use": "work"
98
}
99
]
100
}
101
]
102
}
103
},
104
{
105
"fullUrl": "urn:uuid:56b3c3b6-6b4b-58e8-8932-aed18477b18b",
106
"resource": {
107
"resourceType": "Location",
108
"id": "56b3c3b6-6b4b-58e8-8932-aed18477b18b",
109
"status": "active",
110
"name": "Redox Example Clinic - Main",
111
"telecom": [
112
{
113
"system": "phone",
114
"value": "608-555-4321",
115
"use": "work"
116
}
117
],
118
"address": {
119
"use": "work",
120
"line": [
121
"1234 Healthcare Blvd",
122
"Suite 200"
123
],
124
"city": "Madison",
125
"state": "WI",
126
"postalCode": "53703"
127
},
128
"managingOrganization": {
129
"reference": "urn:uuid:2756cd03-02d2-522a-89f9-54276691896f"
130
}
131
}
132
},
133
{
134
"fullUrl": "urn:uuid:5d85a29b-ac59-5b84-9410-b3daccdc8af5",
135
"resource": {
136
"resourceType": "ServiceRequest",
137
"id": "5d85a29b-ac59-5b84-9410-b3daccdc8af5",
138
"status": "active",
139
"intent": "order",
140
"code": {
141
"text": "Cloud fax service"
142
},
143
"orderDetail": [
144
{
145
"coding": [
146
{
147
"code": "efax",
148
"system": "http://example.org/fhir/CodeSystem/service-feature",
149
"display": "Cloud Fax"
150
}
151
]
152
},
153
{
154
"coding": [
155
{
156
"code": "fax-port",
157
"system": "http://example.org/fhir/CodeSystem/service-feature",
158
"display": "Port Existing Fax Number"
159
}
160
]
161
},
162
{
163
"coding": [
164
{
165
"code": "fax-local",
166
"system": "http://example.org/fhir/CodeSystem/service-feature",
167
"display": "Local Fax Number"
168
}
169
]
170
}
171
],
172
"quantityQuantity": {
173
"value": 8,
174
"unit": "providers"
175
},
176
"subject": {
177
"reference": "urn:uuid:56b3c3b6-6b4b-58e8-8932-aed18477b18b"
178
}
179
}
180
}
181
],
182
"timestamp": "2026-10-21T15:00:00.000Z"
183
}'

Request Body Schema

    Bundle sent as part of an OrganizationCreate message

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Identifies this bundle as a message

    Value: message
  • entry
    required, Array of messageHeader, organization, location, serviceRequest or Other

    An entry in the bundle containing a FHIR resource

    • resource
      required, object

      Additional metadata about the message including the event

      • resourceType
        required, string

        Identifies the type of the resource

        Value: MessageHeader
      • source
        required, object

        Information about the sender of the message and the Bundle content.

        • endpoint
          required, string

          Identifies the routing target to send acknowledgements to.

        • name
          string

          Human-readable name for the source system.

      • focus
        required, Array of object

        This describes the focal target resource of the message from which the remainder of the content is referenced from

        Must be a resource of type Organization.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • eventUri
        required, string

        This describes the message being communicated

        Value: https://fhir.redoxengine.com/EventDefinition/OrganizationCreate
  • timestamp
    string

    The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.

Response fields and example

This response has no body.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.